from fastapi import APIRouter, Request



from fastapi.responses import HTMLResponse
from api.utils.config import templates_env

logview = APIRouter(prefix="", tags=["Login/Register Views and UI"])



#Registration View
@logview.get("/register", response_class=HTMLResponse)
def register(request: Request):
    """Endpoint to Registration Form a user"""
   
    template = templates_env.get_template("main.html")
    return template.render({
        "request": request, 
         "page": "signup", 
         "title": "Register an Account", 
         "data": "",
         "tag" : "Welcome to Scrap3",
         "templates_env": templates_env,
         "isLogin": False})


#Login View
@logview.get("/login", response_class=HTMLResponse)
def login(request: Request):
    """Endpoint for log in form  a user"""
    if logview.get:
        template = templates_env.get_template("main.html")
    return template.render({"request": request, 
         "page": "login", 
         "title": "Login to Account", 
         "data": "",
         "tag" : "Welcome to Scrap3",
         "templates_env": templates_env,
         "isLogin": False})

#Forget Password View
@logview.get("/request-password-reset", response_class=HTMLResponse)
def reset_password(request: Request):
    """Endpoint to Reset Password Form a user"""
    if logview.get:
        template = templates_env.get_template("main.html")
    return template.render({"request": request, 
         "page": "reset-password", 
         "title": "Forget Password", 
         "data": "",
         "tag" : "Welcome to Scrap3",
         "templates_env": templates_env,
         "isLogin": False})

#email reset password
@logview.get("/reset-password", response_class=HTMLResponse)
def reset_password(request: Request):
    """Endpoint to Reset Password Form a user"""
    if logview.get:
        template = templates_env.get_template("main.html")
    return template.render({"request": request, 
         "page": "email-reset-password", 
         "title": "Forget Password", 
         "data": "",
         "tag" : "Fill Form to Update Your Password",
         "templates_env": templates_env,
         "isLogin": False})


